package com.godoro.samples.jdbc;

import java.sql.*;

public class PreparedStatementTest {

    
  public static void main(String[] args)
    throws Exception
  {    
      
    String driverClass="sun.jdbc.odbc.JdbcOdbcDriver";     
    Class.forName(driverClass);      
    String url="jdbc:odbc:mydatasource";     
    String username="sa";
    String password="godoro";
    Connection connection = DriverManager.getConnection(url,username,password);
    System.out.println("Connected to database");    

    String sql="insert into TestTable(IntegerField,StringField,FloatField)"
                +" values(?,?,?)";
    PreparedStatement prepared=connection.prepareStatement(sql);
    prepared.setInt(1,123);
    prepared.setString(2,"ABC");    
    prepared.setFloat(3,3.14f);      
       
    prepared.executeUpdate();
    System.out.println("Prepared statement executed");      
    
      
  } 
        
    
}
